org.apache.lucene.util.fst

## Interface FSTStore

All Superinterfaces:
  Accountable

All Known Implementing Classes:
  OffHeapFSTStore, OnHeapFSTStore

    public interface FSTStore
    extends Accountable

Abstraction for reading/writing bytes necessary for FST.

### Method Summary

All Methods Instance Methods Abstract Methods
`FST.BytesReader` `getReverseBytesReader()`
`void` `init(DataInput in, long numBytes)`
`long` `size()`
`void` `writeTo(DataOutput out)`

### Methods inherited from interface org.apache.lucene.util.Accountable

`getChildResources, ramBytesUsed`

### Method Detail

#### init

    void init(DataInput in,
              long numBytes)
       throws IOException

Throws:
  `IOException`

#### size

    long size()

#### getReverseBytesReader

    FST.BytesReader getReverseBytesReader()

#### writeTo

    void writeTo(DataOutput out)
          throws IOException

Throws:
  `IOException`